[PATCH] arm: fix floppy disk dependencies
[sfrench/cifs-2.6.git] / drivers / block / Kconfig
index e83a1e2e8b15cf88801fd9ea82fcf45901f5bf0f..e830be1a3ae6ed11d0dfa05a4971fe9e5a4a99f0 100644 (file)
@@ -6,7 +6,7 @@ menu "Block devices"
 
 config BLK_DEV_FD
        tristate "Normal floppy disk support"
-       depends on (!ARCH_S390 && !M68K && !IA64 && !UML) || Q40 || (SUN3X && BROKEN)
+       depends on (!ARCH_S390 && !M68K && !IA64 && !UML) || Q40 || (SUN3X && BROKEN) || ARCH_RPC || ARCH_EBSA285
        ---help---
          If you want to use the floppy disk drive(s) of your PC under Linux,
          say Y. Information about this driver, especially important for IBM